* Encoding: UTF-8.
title 1971 CENSUS OF CANADA- BST: EA-LONG FORM- A2FAMOO1.
subtitle SPSS commands by UTL, rev. 2016-07.

FILE HANDLE in NAME='x\cnd_a2fam001_corr_utl.asc' lrecl=701.  /*replace x with the path to the location where you have stored the data file.

DATA LIST   FILE=IN RECORDS=1/
    PROV            1 -      2
    ED              3 -      4
    EA              5 -      7
    COUNTY          8 -      9
    MUNIC          10 -     11
    SUBDIV         12 -     13 (A)
    RURAL          14 -     14
    CMA            15 -     17
    CT             18 -     20
    CMAPART        21 -     21
    MUNSIZE        22 -     22  (A)
    RURSIZE        23 -     23  (A)
    REFCODE        24 -     25
    ECONREG        26 -     27
    CMCA           28 -     29 (A)
    CTV            30 -     33
    CMACA         34 -     36
    CONTROL        37 -     37
    MUNSUBDV       38 -     38
    BLANK1         39 -     41
    ECONAREA       42 -     42
    MSUBSIZE       43 -     43
    RURCODE        44 -     44
    RURMUN         45 -     45
    CMACODE1       46 -     46
    CMACODE2       47 -     47
    LGECITY        48 -     48
    BLANK2         49 -     50
    V1             51 -     57
    V2             58 -     64
    V3             65 -     71
    V4             72 -     78
    V5             79 -     85
    V6             86 -     92
    V7             93 -     99
    V8            100 -    106
    V9            107 -    113
    V10           114 -    120
    V11           121 -    127
    V12           128 -    134
    V13           135 -    141
    V14           142 -    148
    V15           149 -    155
    V16           156 -    162
    V17           163 -    169
    V18           170 -    176
    V19           177 -    183
    V20           184 -    190
    V21           191 -    197
    V22           198 -    204
    V23           205 -    211
    V24           212 -    218
    V25           219 -    225
    V26           226 -    232
    V27           233 -    239
    V28           240 -    246
    V29           247 -    253
    V30           254 -    260
    V31           261 -    267
    V32           268 -    274
    V33           275 -    281
    V34           282 -    288
    V35           289 -    295
    V36           296 -    302
    V37           303 -    309
    V38           310 -    316
    V39           317 -    323
    V40           324 -    330
    V41           331 -    337
    V42           338 -    344
    V43           345 -    351
    V44           352 -    358
    V45           359 -    365
    V46           366 -    372
    V47           373 -    379
    V48           380 -    386
    V49           387 -    393
    V50           394 -    400
    V51           401 -    407
    V52           408 -    414
    V53           415 -    421
    V54           422 -    428
    V55           429 -    435
    V56           436 -    442
    V57           443 -    449
    V58           450 -    456
    V59           457 -    463
    V60           464 -    470
    V61           471 -    477
    V62           478 -    484
    V63           485 -    491
    V64           492 -    498
    V65           499 -    505
    V66           506 -    512
    V67           513 -    519
    V68           520 -    526
    V69           527 -    533
    V70           534 -    540
    V71           541 -    547
    V72           548 -    554
    V73           555 -    561
    V74           562 -    568
    V75           569 -    575
    V76           576 -    582
    V77           583 -    589
    V78           590 -    596
    V79           597 -    603
    V80           604 -    610
    V81           611 -    617
    V82           618 -    624
    V83           625 -    631
    V84           632 -    638
    V85           639 -    645
    V86           646 -    652
    V87           653 -    659
    V88           660 -    666
    V89           667 -    673
    V90           674 -    680
    V91           681 -    687
    V92           688 -    694
    V93           695 -    701.
VARIABLE LABELS
  PROV      'Province'
  ED        'Electoral district'
  EA        'Enumeration area'
  COUNTY    'County/ Census division'
  MUNIC     'Municipality'
  SUBDIV    'Subdivision'
  RURAL     'Rural/ Urban municipality'
  CMA       'Metropolitan area/ Census agglomeration'
  CT        'Census tract'
  CMAPART   'CMA/ CA part'
  MUNSIZE   'Municipality size code- Urban'
  RURSIZE   'Rural/ Urban size code'
  REFCODE   'Reference code'
  ECONREG   'Economic region of Statistics Canada'
  CMCA      'Canada manpower centre area code'
  CTV       'City, town, village- alphabetic seq number'
  CMACA    'CMA/ CA- alphabetic seq number'
  CONTROL   'Casper control field'
  MUNSUBDV  'Municicpal subdivision'
  BLANK1    'Blank- for future use'
  ECONAREA  'Economic area'
  MSUBSIZE  'Municipal subdivision size'
  RURCODE   'Rural/urban code'
  RURMUN    'Rural/urban municipality code'
  CMACODE1  'CMA/CA code'
  CMACODE2  'CMA/CA code'
  LGECITY   'Largest city code'
  BLANK2    'Blank'
  V1        'Total families'
  V2        'Families with no children'
  V3        'Families with children'
  V4        'Total family children'
  V5        'Under six years of age'
  V6        '6-14 years'
  V7        'Total 15-18 years'
  V8        '15-18 at school'
  V9        '15-18 in labour force'
  V10       '15-18 both at school & in lab force'
  V11       '15-18 not at school or in lab force'
  V12       'Total 19-24 years'
  V13       '19-24 at school'
  V14       '19-24 in lab force'
  V15       '19-24 both at school & in lab force'
  V16       '19-24 not at school or in lab force'
  V17       'average children per family'
  V18       'aggregate income'
  V19       'Average income'
  V20       'Fam by no. of income recipients- one'
  V21       'Fam by no. of income recipients- two'
  V22       'Fam by no. of income recipients- three or more'
  V23       'Total income recipients in fam'
  V24       'Avg income recipients in fam'
  V25       'Total fam with no income recipients'
  V26       'Total fam heads'
  V27       'Fam heads- no schooling'
  V28       'Fam heads- under grade 9'
  V29       'Fam heads- grade 9 to 10'
  V30       'Fam heads- grade 11'
  V31       'Fam heads- grade 12'
  V32       'Fam heads- grade 13'
  V33       'Fam heads- some univ'
  V34       'Fam heads- univ degree'
  V35       'Total fam heads'
  V36       'Fam heads- language: English'
  V37       'Fam heads- language: French'
  V38       'Fam heads- language: both English & French'
  V39       'Fam heads- language: neither English nor French'
  V40       'Fam heads- aggregate income'
  V41       'Fam heads- average income'
  V42       'Total fam heads in exp lab force'
  V43       'Fam heads- management,admin & related occ'
  V44       'Fam heads- teaching & related occ'
  V45       'Fam heads- med & health occ'
  V46       'Fam heads- tech,social,artistic & relig occ'
  V47       'Fam heads- clerical & related occ'
  V48       'Fam heads- sales occ'
  V49       'Fam heads- services occ'
  V50       'Fam heads- farming,hort & animal husbandry'
  V51       'Fam heads- farmers'
  V52       'Fam heads- other primary occ'
  V53       'Fam heads- processing occupation'
  V54       'Fam heads- machining, fabric & repairing occ'
  V55       'Fam heads- construction trade occ'
  V56       'Fam heads- transport equi operating occ'
  V57       'Fam heads- other occ'
  V58       'Fam heads- occ not stated'
  V59       'All other fam heads'
  V60       'Total non-family persons'
  V61       'Aggregate non-family income'
  V62       'Avg non-fam persons income'
  V63       'Non-fam persons off language- English'
  V64       'Non-fam persons off language- French'
  V65       'Non-fam persons off language-English & French'
  V66       'Non-fam persons off lang-neither Eng nor French'
  V67       'Non-fam persons-total in exp lab force'
  V68       'Non-fam persons- management, admin & related occ'
  V69       'Non-fam persons- teaching & related occ'
  V70       'Non-fam persons- med & health occ'
  V71       'Non-fam persons- tech,social,artistic & relig occ'
  V72       'Non-fam persons- clerical & related occ'
  V73       'Non-fam persons- sales occ'
  V74       'Non-fam persons- services occ'
  V75       'Non-fam persons- farming,hort & animal husbandry'
  V76       'Non-fam persons- farmers'
  V77       'Non-fam persons- other primary occ'
  V78       'Non-fam persons- processing occupation'
  V79       'Non-fam persons- machining, fabric & repairing occ'
  V80       'Non-fam persons- construction trade occ'
  V81       'Non-fam persons- transport equi operating occ'
  V82       'Non-fam persons- other occ'
  V83       'Non-fam persons- occ not stated'
  V84       'All other non-fam persons'
  V85       'Total households'
  V86       'Total households- aggregate income'
  V87       'Total households- average income'
  V88       'Total econ fam'
  V89       'Econ fam- aggregate income'
  V90       'Econ fam- average income'
  V91       'Total non-econ fam persons'
  V92       'Non-econ fam- aggregate income'
  V93       'Non-econ fam- average income'.
VALUE LABELS
    PROV      10          'NEWFOUNDLAND'
          11          'PR EDWARD ISLAND'
          12          'NOVA SCOTIA'
          13          'NEW BRUNSWICK'
          24          'QUEBEC'
          35          'ONTARIO'
          46          'MANITOBA'
          47          'SASKATCHEWAN'
          48          'ALBERTA'
          59          'BRITISH COLUMBIA'
          60          'YUKON TERRITORY'
          61          'NW TERRITORIES'
         /
    RURAL     1           'RURAL'
          2           'CTV'
          3           'URBAN'
          4           'URBAN'
          5           'URBAN'
          6           'URBAN'
          7           'URBAN'
          8           'URBAN'
          9           'URBAN'
         /
    CMAPART   1           'LARGEST CITY'
          2           'REMAINDER URBANIZED CORE'
          3           'FRINGE- URBAN'
          4           'FRINGE- RURAL'
         /
    MUNSIZE   'A'  '>_500000 (U)'
          'B'  '100000-499999 (U)'
          'C'  '30000-99999 (U)'
          'D'  '10000-29999 (U)'
          'E'  '5000-9999 (U)'
          'F'  '2500-4999 (U)'
          'G'  '1000-2499 (U)'
          'H'  '< 1000 (U)'
          '1'  '>_500000 (R)'
          '2'  '100000-499999 (R)'
          '3'  '30000-99999 (R)'
          '4'  '10000-29999 (R)'
          '5'  '5000-9999 (R)'
          '6'  '2500-4999 (R)'
          '7'  '1000-2499 (R)'
          '8'  '< 1000 (R)'
         /
    RURSIZE   'A'  '>_500000 (U)'
          'B'  '100000-499999(U)'
          'C'  '30000-99999 (U)'
          'D'  '10000-29999 (U)'
          'E'  '5000-9999 (U)'
          'F'  '2500-4999 (U)'
          'G'  '1000-2499 (U)'
          'H'  '< 1000 (U)'
          '1'  'RURAL'
         /
    ECONAREA  1           'URBAN'
          2           'RURAL'
         /
    RURCODE   0           'URBAN'
          1           'RURAL'
         /
    RURMUN    0           'URBAN'
          1           'RURAL'
         /
    CMACODE1  0           'CMA-CA'
          1           'NON CMA-CA'
         /
    CMACODE2  0           'URBAN CORE'
          1           'FRINGE AREA'
         /
    LGECITY   0           'LARGEST CITY'
          1           'REMAINDER'
         /.

SAVE OUTFILE='y'.  /* Replace y with path and file name (use .sav extension) to save the file.
EXECUTE.